Package com.massivecraft.factions

## Class FactionsPlugin

- java.lang.Object
- - org.bukkit.plugin.PluginBase
  - - org.bukkit.plugin.java.JavaPlugin
    - - com.massivecraft.factions.zcore.MPlugin
      - - com.massivecraft.factions.FactionsPlugin

All Implemented Interfaces:
  `org.bukkit.command.CommandExecutor`, `org.bukkit.command.TabCompleter`, `org.bukkit.command.TabExecutor`, `org.bukkit.plugin.Plugin`

    public class FactionsPlugin
    extends MPlugin

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`CmdAutoHelp` | `cmdAutoHelp` |
`FCmdRoot` | `cmdBase` |
`static net.milkbowl.vault.economy.Economy` | `econ` |
`boolean` | `factionsFlight` |
`static FactionsPlugin` | `instance` |
`java.util.List<java.lang.String>` | `itemList` |
`boolean` | `mc112` |
`boolean` | `mc113` |
`boolean` | `mc114` |
`boolean` | `mc17` |
`boolean` | `mc18` |
`static net.milkbowl.vault.permission.Permission` | `perms` |
`boolean` | `PlaceholderApi` |
`(package private) ch.njol.skript.SkriptAddon` | `skriptAddon` |
`static boolean` | `startupFinished` |
`boolean` | `useNonPacketParticles` |

### Fields inherited from class com.massivecraft.factions.zcore.MPlugin

`gson, loadSuccessful, perm, persist, rawTags, refCommand, stuckMap, txt`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FactionsPlugin()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `color​(java.lang.String line)` |
`java.util.List<java.lang.String>` | `colorList​(java.util.List<java.lang.String> lore)` |
`org.bukkit.inventory.ItemStack` | `createItem​(org.bukkit.Material material, int amount, short datavalue, java.lang.String name, java.util.List<java.lang.String> lore)` |
`org.bukkit.inventory.ItemStack` | `createLazyItem​(org.bukkit.Material material, int amount, short datavalue, java.lang.String name, java.lang.String lore)` |
`void` | `createTimedHologram​(org.bukkit.Location location, java.lang.String text, java.lang.Long timeout)` |
`void` | `debug​(java.lang.String s)` |
`void` | `debug​(java.util.logging.Level level, java.lang.String s)` |
`net.milkbowl.vault.economy.Economy` | `getEcon()` |
`FactionsPlayerListener` | `getFactionsPlayerListener()` |
`java.util.Set<java.lang.String>` | `getFactionTags()` |
`com.google.gson.GsonBuilder` | `getGsonBuilder()` |
`static FactionsPlugin` | `getInstance()` |
`boolean` | `getLocked()` |
`java.util.Set<java.lang.String>` | `getOnlinePlayersInFaction​(java.lang.String factionTag)` |
`java.lang.String` | `getPlayerFactionTag​(org.bukkit.entity.Player player)` |
`java.lang.String` | `getPlayerFactionTagRelation​(org.bukkit.entity.Player speaker, org.bukkit.entity.Player listener)` |
`java.util.Set<java.lang.String>` | `getPlayersInFaction​(java.lang.String factionTag)` |
`java.lang.String` | `getPlayerTitle​(org.bukkit.entity.Player player)` |
`java.lang.String` | `getPrimaryGroup​(org.bukkit.OfflinePlayer player)` |
`ch.njol.skript.SkriptAddon` | `getSkriptAddon()` |
`boolean` | `getSpam()` |
`boolean` | `handleCommand​(org.bukkit.command.CommandSender sender, java.lang.String commandString, boolean testOnly)` |
`void` | `handleFactionTagExternally​(boolean notByFactions)` |
`int` | `hookSupportVersion()` |
`boolean` | `isClipPlaceholderAPIHooked()` |
`boolean` | `isFactionsCommand​(java.lang.String check)` |
`boolean` | `isHookedPlayervaults()` |
`boolean` | `isMVdWPlaceholderAPIHooked()` |
`boolean` | `isPlayerFactionChatting​(org.bukkit.entity.Player player)` |
`boolean` | `logPlayerCommands()` |
`boolean` | `onCommand​(org.bukkit.command.CommandSender sender, org.bukkit.command.Command command, java.lang.String label, java.lang.String[] split)` |
`void` | `onDisable()` |
`void` | `onEnable()` |
`java.util.List<java.lang.String>` | `onTabComplete​(org.bukkit.command.CommandSender sender, org.bukkit.command.Command command, java.lang.String alias, java.lang.String[] args)` |
`void` | `playSound​(org.bukkit.entity.Player p, java.lang.String sound)` |
`void` | `playSound​(org.bukkit.entity.Player p, java.util.List<java.lang.String> sounds)` |
`void` | `playSoundForAll​(java.lang.String sound)` |
`void` | `playSoundForAll​(java.util.List<java.lang.String> sounds)` |
`void` | `postAutoSave()` |
`java.util.List<java.lang.String>` | `replacePlaceholders​(java.util.List<java.lang.String> lore, Placeholder... placeholders)` |
`void` | `setLocked​(boolean val)` |
`void` | `setSpam​(boolean val)` |
`boolean` | `shouldLetFactionsHandleThisChat​(org.bukkit.event.player.AsyncPlayerChatEvent event)` |
`void` | `startAutoLeaveTask​(boolean restartIfRunning)` |

### Methods inherited from class com.massivecraft.factions.zcore.MPlugin

`addRawTags, getAutoSave, getBaseCommands, getStuckMap, getTimers, handleCommand, handleCommand, initTXT, loadLang, log, log, log, log, postEnable, preAutoSave, preEnable, setAutoSave, suicide`

### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

`getClassLoader, getCommand, getConfig, getDataFolder, getDefaultWorldGenerator, getDescription, getFile, getLogger, getPlugin, getPluginLoader, getProvidingPlugin, getResource, getServer, getTextResource, isEnabled, isNaggable, onLoad, reloadConfig, saveConfig, saveDefaultConfig, saveResource, setEnabled, setNaggable, toString`

### Methods inherited from class org.bukkit.plugin.PluginBase

`equals, getName, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### instance

    public static FactionsPlugin instance

#### perms

    public static net.milkbowl.vault.permission.Permission perms

#### startupFinished

    public static boolean startupFinished

#### econ

    public static net.milkbowl.vault.economy.Economy econ

#### PlaceholderApi

    public boolean PlaceholderApi

#### cmdBase

    public FCmdRoot cmdBase

#### cmdAutoHelp

    public CmdAutoHelp cmdAutoHelp

#### mc17

    public boolean mc17

#### mc18

    public boolean mc18

#### mc112

    public boolean mc112

#### mc113

    public boolean mc113

#### mc114

    public boolean mc114

#### useNonPacketParticles

    public boolean useNonPacketParticles

#### factionsFlight

    public boolean factionsFlight

#### skriptAddon

    ch.njol.skript.SkriptAddon skriptAddon

#### itemList

    public java.util.List<java.lang.String> itemList

### Constructor Detail

#### FactionsPlugin

    public FactionsPlugin()

### Method Detail

#### getInstance

    public static FactionsPlugin getInstance()

#### getLocked

    public boolean getLocked()

#### setLocked

    public void setLocked​(boolean val)

#### getSpam

    public boolean getSpam()

#### setSpam

    public void setSpam​(boolean val)

#### playSoundForAll

    public void playSoundForAll​(java.lang.String sound)

#### playSoundForAll

    public void playSoundForAll​(java.util.List<java.lang.String> sounds)

#### playSound

    public void playSound​(org.bukkit.entity.Player p,
                          java.util.List<java.lang.String> sounds)

#### playSound

    public void playSound​(org.bukkit.entity.Player p,
                          java.lang.String sound)

#### onEnable

    public void onEnable()

Specified by:
  `onEnable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onEnable` in class `org.bukkit.plugin.java.JavaPlugin`

#### getSkriptAddon

    public ch.njol.skript.SkriptAddon getSkriptAddon()

#### replacePlaceholders

    public java.util.List<java.lang.String> replacePlaceholders​(java.util.List<java.lang.String> lore,
                                                                Placeholder... placeholders)

#### isClipPlaceholderAPIHooked

    public boolean isClipPlaceholderAPIHooked()

#### isMVdWPlaceholderAPIHooked

    public boolean isMVdWPlaceholderAPIHooked()

#### getGsonBuilder

    public com.google.gson.GsonBuilder getGsonBuilder()

Overrides:
  `getGsonBuilder` in class `MPlugin`

#### onDisable

    public void onDisable()

Specified by:
  `onDisable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onDisable` in class `MPlugin`

#### startAutoLeaveTask

    public void startAutoLeaveTask​(boolean restartIfRunning)

#### postAutoSave

    public void postAutoSave()

Overrides:
  `postAutoSave` in class `MPlugin`

#### createItem

    public org.bukkit.inventory.ItemStack createItem​(org.bukkit.Material material,
                                                     int amount,
                                                     short datavalue,
                                                     java.lang.String name,
                                                     java.util.List<java.lang.String> lore)

#### createLazyItem

    public org.bukkit.inventory.ItemStack createLazyItem​(org.bukkit.Material material,
                                                         int amount,
                                                         short datavalue,
                                                         java.lang.String name,
                                                         java.lang.String lore)

#### getEcon

    public net.milkbowl.vault.economy.Economy getEcon()

#### logPlayerCommands

    public boolean logPlayerCommands()

Overrides:
  `logPlayerCommands` in class `MPlugin`

#### handleCommand

    public boolean handleCommand​(org.bukkit.command.CommandSender sender,
                                 java.lang.String commandString,
                                 boolean testOnly)

Overrides:
  `handleCommand` in class `MPlugin`

#### onCommand

    public boolean onCommand​(org.bukkit.command.CommandSender sender,
                             org.bukkit.command.Command command,
                             java.lang.String label,
                             java.lang.String[] split)

Specified by:
  `onCommand` in interface `org.bukkit.command.CommandExecutor`
Overrides:
  `onCommand` in class `org.bukkit.plugin.java.JavaPlugin`

#### onTabComplete

    public java.util.List<java.lang.String> onTabComplete​(org.bukkit.command.CommandSender sender,
                                                          org.bukkit.command.Command command,
                                                          java.lang.String alias,
                                                          java.lang.String[] args)

Specified by:
  `onTabComplete` in interface `org.bukkit.command.TabCompleter`
Overrides:
  `onTabComplete` in class `org.bukkit.plugin.java.JavaPlugin`

#### createTimedHologram

    public void createTimedHologram​(org.bukkit.Location location,
                                    java.lang.String text,
                                    java.lang.Long timeout)

#### hookSupportVersion

    public int hookSupportVersion()

#### handleFactionTagExternally

    public void handleFactionTagExternally​(boolean notByFactions)

#### shouldLetFactionsHandleThisChat

    public boolean shouldLetFactionsHandleThisChat​(org.bukkit.event.player.AsyncPlayerChatEvent event)

#### isPlayerFactionChatting

    public boolean isPlayerFactionChatting​(org.bukkit.entity.Player player)

#### isFactionsCommand

    public boolean isFactionsCommand​(java.lang.String check)

#### getPlayerFactionTag

    public java.lang.String getPlayerFactionTag​(org.bukkit.entity.Player player)

#### getPlayerFactionTagRelation

    public java.lang.String getPlayerFactionTagRelation​(org.bukkit.entity.Player speaker,
                                                        org.bukkit.entity.Player listener)

#### getPlayerTitle

    public java.lang.String getPlayerTitle​(org.bukkit.entity.Player player)

#### color

    public java.lang.String color​(java.lang.String line)

#### colorList

    public java.util.List<java.lang.String> colorList​(java.util.List<java.lang.String> lore)

#### getFactionTags

    public java.util.Set<java.lang.String> getFactionTags()

#### getPlayersInFaction

    public java.util.Set<java.lang.String> getPlayersInFaction​(java.lang.String factionTag)

#### getOnlinePlayersInFaction

    public java.util.Set<java.lang.String> getOnlinePlayersInFaction​(java.lang.String factionTag)

#### isHookedPlayervaults

    public boolean isHookedPlayervaults()

#### getPrimaryGroup

    public java.lang.String getPrimaryGroup​(org.bukkit.OfflinePlayer player)

#### debug

    public void debug​(java.util.logging.Level level,
                      java.lang.String s)

#### getFactionsPlayerListener

    public FactionsPlayerListener getFactionsPlayerListener()

#### debug

    public void debug​(java.lang.String s)